summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul Davis <paul@linuxaudiosystems.com>2011-03-21 19:00:30 +0000
committerPaul Davis <paul@linuxaudiosystems.com>2011-03-21 19:00:30 +0000
commit7427334d4b2d70ba6cf434a297a90a1f2dcaecaa (patch)
tree0a766065eaed93b32e795176353fed0bbcf9202e
parent80b654691ae9b4144d14003c8417117a168b69aa (diff)
first round of automated builds
git-svn-id: svn://localhost/ardour2/branches/3.0@9176 d708f5d6-7413-0410-9779-e7cbd77b26cf
-rw-r--r--tools/linux_packaging/noderun20
-rw-r--r--tools/linux_packaging/run16
2 files changed, 36 insertions, 0 deletions
diff --git a/tools/linux_packaging/noderun b/tools/linux_packaging/noderun
new file mode 100644
index 0000000000..6041aabf44
--- /dev/null
+++ b/tools/linux_packaging/noderun
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+BASE=$1
+
+if [ x$BASE = "x" ] ; then
+ exit 1
+fi
+
+cd $BASE || exit 1
+svn update || exit 1
+./waf configure --strict || exit 1
+./waf || exit 1
+cd tools/linux_packaging || exit 1
+./build --public || exit 1
+file=`ls -t *.bz2 | head -1`
+cp $file $BASE/../vmshare || exit 1
+exit 0
+
+
+
diff --git a/tools/linux_packaging/run b/tools/linux_packaging/run
new file mode 100644
index 0000000000..62c000b4a5
--- /dev/null
+++ b/tools/linux_packaging/run
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+vbm=VBoxManage
+basedir=/home/harrison/ardour/3.0/tools/linux_packaging
+tooldir=$basedir/tools/linux_packaging
+u=harrison
+p=harrison
+
+
+
+for VM in Build_64bit_804s ; do
+ $vbm startvm $VM --type headless
+ $vbm guestcontrol exec $VM $tooldir/noderun $basedir --username $u --password $p --wait-for stdout
+ status=$?
+ $vbm controlvm $VM savestate
+done